/*
 * File:                package-info.java
 * Authors:             Justin Basilico
 * Company:             Sandia National Laboratories
 * Project:             Cognitive Foundry
 * 
 * Copyright December 13, 2007, Sandia Corporation.
 * Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive 
 * license for use of this work by or on behalf of the U.S. Government. Export 
 * of this program may require a license from the United States Government. 
 * See CopyrightHistory.txt for complete details.
 *
 * 
 */

/**
 * Provides kernel functions. Kernel functions are components used in 
 * kernel-based learning algorithms. They represent a type of similarity
 * function that obeys certain properties, known as the Mercer conditions. They
 * can be understood as representing an inner product (dot product) for between 
 * some vector representation of the two data points.
 *
 * @author  Justin Basilico
 * @since   2.0
 */
@gov.sandia.cognition.annotation.Documentation
package gov.sandia.cognition.learning.function.kernel;

